-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

if ReqBody.SelSearchString == nil then
    return true
end

local charCode

for i = 1, #ReqBody.SelSearchString do
    charCode = string.byte(ReqBody.SelSearchString, i) -- 获取当前字符的ASC码
    if charCode < 0x20 or charCode > 0x7E then
        error(base_messages.ActionParameterValueFormatError(ReqBody.SelSearchString, 'SelSearchString',
            'Oem/{{OemIdentifier}}/LogService.QuerySelLogEntries'))
    end
end